> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an order

> Returns a specific customer order by ID.



## OpenAPI

````yaml GET /orders/{order_id}
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /orders/{order_id}:
    get:
      summary: Retrieve an order
      description: Returns a specific customer order by ID.
      operationId: retrieve-an-order
      parameters:
        - name: order_id
          in: path
          schema:
            type: integer
            format: int32
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: 1529
                    order_status: COMPLETE
                    customer: AcmeCo
                    reference: A1234567890
                    deal_date: '2025-01-28'
                    expiry_date: null
                    currency: USD
                    order_terms: Pay on delivery
                    delivery_method: RETIREMENT
                    deliveries:
                      - friendly_id: dl_H8pvrPHBQ3Dd76oL
                        project_name: Southeast Capture
                        quantity: 20
                        price_in_cents_in_currency: 12000
                        delivery_total_in_cents_in_currency: 12000
                        currency: USD
                        estimated_delivery_date: '2025-02-28'
                        delivered_date: '2025-02-21'
                        delivery_status: DELIVERED
                        fulfilled_quantity: 20
                        delivered_quantity: 20
                        is_paid: true
                    created_at: '2024-05-10T15:58:21.209Z'
                    updated_at: '2024-05-10T15:58:21.209Z'
              schema:
                type: object
                properties:
                  id:
                    type: integer
                    example: 1529
                    default: 0
                  order_status:
                    type: string
                    example: COMPLETE
                  customer:
                    type: string
                    example: AcmeCo
                  reference:
                    type: string
                    example: A1234567890
                  deal_date:
                    type: string
                    example: '2025-01-28'
                  expiry_date: {}
                  currency:
                    type: string
                    example: USD
                  order_terms:
                    type: string
                    example: Pay on delivery
                  delivery_method:
                    type: string
                    example: RETIREMENT
                  deliveries:
                    type: array
                    items:
                      type: object
                      properties:
                        friendly_id:
                          type: string
                          example: dl_H8pvrPHBQ3Dd76oL
                        project_name:
                          type: string
                          example: Southeast Capture
                        quantity:
                          type: integer
                          example: 20
                          default: 0
                        price_in_cents_in_currency:
                          type: integer
                          example: 12000
                          default: 0
                        delivery_total_in_cents_in_currency:
                          type: integer
                          example: 12000
                          default: 0
                        currency:
                          type: string
                          example: USD
                        estimated_delivery_date:
                          type: string
                          example: '2025-02-28'
                        delivered_date:
                          type: string
                          example: '2025-02-21'
                        delivery_status:
                          type: string
                          example: DELIVERED
                        fulfilled_quantity:
                          type: integer
                          example: 20
                          default: 0
                        delivered_quantity:
                          type: integer
                          example: 20
                          default: 0
                        is_paid:
                          type: boolean
                          example: true
                          default: true
                  created_at:
                    type: string
                    example: '2024-05-10T15:58:21.209Z'
                  updated_at:
                    type: string
                    example: '2024-05-10T15:58:21.209Z'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: error
                    statusCode: 404
                    errors:
                      - message: Record not found.
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  statusCode:
                    type: integer
                    example: 404
                    default: 0
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Record not found.
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````